using System;
using System.Runtime.Serialization;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    [Serializable]
    public sealed class Rule2238
    {
        private Rule2238()
        {
        }

        // このメソッドは CA2238 に違反しています。
        [OnSerialized]
        public static int OnSerialized<T>(T value)
        {
            return value.GetHashCode();
        }
    }
}
